## org.opengis.metadata.spatial
Interface GeometricObjects

    @UML(identifier="MD_GeometricObjects",
         specification=ISO_19115)
    public interface GeometricObjects

Number of objects, listed by geometric object type, used in the dataset.

Since:
  GeoAPI 2.0

Method Summary
`Integer` `getGeometricObjectCount()` Total number of the point or vector object type occurring in the dataset.
`GeometricObjectType` `getGeometricObjectType()` Name of point and vector spatial objects used to locate zero-, one-, and twodimensional spatial locations in the dataset.

Method Detail

### getGeometricObjectType

    @UML(identifier="geometricObjectType",
         obligation=MANDATORY,
         specification=ISO_19115)
    GeometricObjectType getGeometricObjectType()

  Name of point and vector spatial objects used to locate zero-, one-, and twodimensional spatial locations in the dataset.

### getGeometricObjectCount

    @UML(identifier="geometricObjectCount",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Integer getGeometricObjectCount()

  Total number of the point or vector object type occurring in the dataset.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.